Subject: I have your birthday card still!
From: "Michael B" <[email-masked]>
To: "Laura Fox" <[email-masked]>
Date: Tue, 25 Jul 2017 09:33:17 -0400

Hi Laura.
I am so sorry but I just realized that I still have your Birthday card. I didn't want to mail it because it has a gift card in it and in case it got "lost" in the mail, I didn't want someone else to get it. I will be near your office later this morning and would like to drop it off. Would that be ok with you? Let me know.
Thank you,
Michael B
LLPS